<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Demo</title>
    <script src="./js/util.js"></script>
</head>

<body>

    <h2>Firebase Cloud Message Demo</h2>
    Topic: <input type="text" id="topic" value="SYSTEM"><br>
    Token: <input type="text" id="token" value=""><br>
    Title: <input type="text" id="title" placeholder="輸入標題"><br>
    Message: <input type="text" id="message" placeholder="輸入內容"><br>
    <button onclick="send()">Send</button>

    <script>
        function send(params) {
            let topic = document.getElementById('topic').value
            let token = document.getElementById('token').value
            let title = document.getElementById('title').value
            let message = document.getElementById('message').value
            if (title && message) {
                Util.get('/fcm?' + 'title=' + title + '&message=' + message + (topic ? ('&topic=' + topic) : '') + (token ? ('&token=' + token) : ''), function (data) {
                    document.getElementById('title').value = ''
                    document.getElementById('message').value = ''
                    if(data.message_id){
                        alert('send success and message id is ' + data.message_id)
                    }else{
                        alert(JSON.stringify(data))
                    }
                })
            } else {
                alert('title or message lose')
            }
        }
    </script>

</body>

</html>